using System;
using Shop.DAL;

namespace Shop.BLL
{
    public abstract class BaseTableModule
    {
        public BaseTableModule()
        {
        }

        public BaseTableModule(TransactionalContext ctx)
        {
            tx = ctx;
        }

        private TransactionalContext tx;

        protected TransactionalContext CurrentContext
        {
            get { return tx; }
        }

        protected bool IsInTransaction
        {
            get { return tx != null; }
        }
    }
}
