using System;

namespace Shop.Common
{
	/// <summary>
	/// cdigo de sucesso ou insucesso de uma operao no componente.
	/// </summary>
	public enum ShopStatus 
	{
		Ok,					// success
		NotOk,				// insuccess
		InvalidLogin,		// invalid login pair username/password
		InvalidKey,			//
		InvalidCustomerID,	// invalid customer id provided
		InvalidProductID,	// invalid product id provided
		InsuficientStock,	// insuficient stock of product to complete the operation
		Error,				// general internal error
		InvalidArgument,	// invalid arguement passed to a function
		DatabaseError,		// general databse error
		NotSupported		// not supported (implemented) operation
	}

}
